## python-otbr-api 2.7.0

=== requirements.txt ===
aiohttp
bitstruct
cryptography
typing_extensions
voluptuous

## python-otbr-api 2.6.0

=== debian/changelog ===
python-otbr-api (2.6.0-2) unstable; urgency=medium

  * Source-only upload to allow package to migrate to testing.

 -- Edward Betts <edward@4angle.com>  Wed, 05 Jun 2024 08:48:58 +0100

python-otbr-api (2.6.0-1) unstable; urgency=medium

  * Initial release. (Closes: #1072465)

 -- Edward Betts <edward@4angle.com>  Mon, 03 Jun 2024 13:39:29 +0100

=== debian/control ===
Source: python-otbr-api
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Edward Betts <edward@4angle.com>
Section: python
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-sequence-python3,
               pybuild-plugin-pyproject,
               python3-aiohttp <!nocheck>,
               python3-all,
               python3-bitstruct <!nocheck>,
               python3-cryptography <!nocheck>,
               python3-poetry-core,
               python3-pytest <!nocheck>,
               python3-pytest-asyncio <!nocheck>,
               python3-setuptools,
               python3-typing-extensions <!nocheck>,
               python3-voluptuous <!nocheck>
Rules-Requires-Root: no
Standards-Version: 4.7.0
Homepage: https://github.com/home-assistant-libs/python-otbr-api
Vcs-Browser: https://salsa.debian.org/python-team/packages/python-otbr-api
Vcs-Git: https://salsa.debian.org/python-team/packages/python-otbr-api.git

Package: python3-python-otbr-api
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}
Description: Interact with an OpenThread Border Router (OTBR) via the REST API
 Python interface for communication with an OpenThread Border Router (OTBR)
 using its RESTful API. Facilitates the management and monitoring of network
 characteristics and configurations, supporting operations such as setting and
 retrieving active and pending datasets, managing device states, and more.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=python-otbr-api

%:
	dh $@ --buildsystem=pybuild

override_dh_auto_clean:
	dh_auto_clean
	rm -rf python_otbr_api.egg-info/

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/python-otbr-api-$1\.tar\.gz/ \
  https://github.com/home-assistant-libs/python-otbr-api/tags .*/v?(\d\S+)\.tar\.gz

## python-otbr-api 2.7.0

=== debian/changelog ===
python-otbr-api (2.7.0-1) unstable; urgency=medium

  * New upstream release.
  * Update copyright year.
  * Simplify debian/rules.
  * Simplify debian/watch.
  * Move packages required for tests to Build-Depends-Indep.
  * Add --asyncio-mode=auto to autopkgtest.

 -- Edward Betts <edward@4angle.com>  Wed, 15 Jan 2025 10:54:48 -0600

=== debian/control ===
Source: python-otbr-api
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders:
 Edward Betts <edward@4angle.com>,
Section: python
Priority: optional
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 pybuild-plugin-pyproject,
 python3-all,
 python3-poetry-core,
 python3-setuptools,
Build-Depends-Indep:
 python3-aiohttp <!nocheck>,
 python3-bitstruct <!nocheck>,
 python3-cryptography <!nocheck>,
 python3-pytest <!nocheck>,
 python3-pytest-asyncio <!nocheck>,
 python3-typing-extensions <!nocheck>,
 python3-voluptuous <!nocheck>,
Rules-Requires-Root: no
Standards-Version: 4.7.0
Homepage: https://github.com/home-assistant-libs/python-otbr-api
Vcs-Browser: https://salsa.debian.org/python-team/packages/python-otbr-api
Vcs-Git: https://salsa.debian.org/python-team/packages/python-otbr-api.git

Package: python3-python-otbr-api
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
Description: Interact with an OpenThread Border Router (OTBR) via the REST API
 Python interface for communication with an OpenThread Border Router (OTBR)
 using its RESTful API. Facilitates the management and monitoring of network
 characteristics and configurations, supporting operations such as setting and
 retrieving active and pending datasets, managing device states, and more.

=== debian/watch ===
version=4
https://github.com/home-assistant-libs/python-otbr-api/tags .*/v?(\d\S+)\.tar\.gz

## python-otbr-api 2.7.1

=== debian/changelog ===
python-otbr-api (2.7.1-1) unstable; urgency=medium

  * New upstream release.
  * Remove 'Priority: optional', now the default.
  * Remove 'Rules-Requires-Root: no', now the default.
  * Update Standards-Version.
  * Update copyright year.
  * Update debian/watch to format version 5.
  * Add debian/salsa-ci.yml.

 -- Edward Betts <edward@4angle.com>  Sat, 10 Jan 2026 07:26:01 +0000

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,6 @@
 Uploaders:
  Edward Betts <edward@4angle.com>,
 Section: python
-Priority: optional
 Build-Depends:
  debhelper-compat (= 13),
  dh-sequence-python3,
@@ -19,8 +18,7 @@
  python3-pytest-asyncio <!nocheck>,
  python3-typing-extensions <!nocheck>,
  python3-voluptuous <!nocheck>,
-Rules-Requires-Root: no
-Standards-Version: 4.7.0
+Standards-Version: 4.7.3
 Homepage: https://github.com/home-assistant-libs/python-otbr-api
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-otbr-api
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-otbr-api.git

## python-otbr-api 2.8.0

=== debian/changelog ===
python-otbr-api (2.8.0-1) unstable; urgency=medium

  * New upstream release.

 -- Edward Betts <edward@4angle.com>  Sat, 07 Feb 2026 09:44:57 +0000

=== debian/watch ===
Version: 5

Template: Github
Owner: home-assistant-libs
Project: python-otbr-api
